//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <vcl\clipbrd.hpp>
#pragma hdrstop

#include "NoteWin1.h"
#include "fileman.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma link "NoteWin"
#pragma link "explbtn"
#pragma resource "*.dfm"
TNoteWin *NoteWin;
//---------------------------------------------------------------------------
__fastcall TNoteWin::TNoteWin(AnsiString Section, AnsiString caption, TComponent *Owner)
   : TTextWin(Owner)  // function created for Chain Log
{
   if (Section==ChainLog)
   {
      TStringList *log = new TStringList();
      GetAppData(log,ChainLog);
      SetText(ChainLog,log);
      DataKey = ChainLog;
      Type = tChainLog;
      Caption = caption;
      Editor->Modified = false;
      Editor->WordWrap = false;
      Editor->SelStart = 0;
      ActiveControl = Editor;
      delete log;
   }
}
//---------------------------------------------------------------------------
__fastcall TNoteWin::TNoteWin(TComponent* Owner)
  : TTextWin(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::SaveBtnClick(TObject *Sender)
{
  TPoint cpoint,poppoint={ -1,24 };
  cpoint = OkBtn->ClientToScreen(poppoint);
  PopupMenu1->Popup(cpoint.x,cpoint.y);
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::SaveandExit1Click(TObject *Sender)
{
   OkBtn->Click();
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::PopupSaveItemClick(TObject *Sender)
{
   Save();
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::PopupSaveasItemClick(TObject *Sender)
{
   SaveAs();
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::PopupMenu1Popup(TObject *Sender)
{
   PopupSaveItem->Enabled = Editor->Modified;
   PopupDeleteItem->Enabled = Type!=tNewNote;
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::PopupDeleteItemClick(TObject *Sender)
{
   if (Type!=tNote) return;
   if (MsgBox("Delete this note from the QS database?","Confirm",MB_OKCANCEL)==IDOK)
   {
      Editor->Clear(); Caption = " deleting note..."; Sleep(500);
      Application->ProcessMessages();
      PutAppData(DataKey,NULL);
      Editor->Modified = false;
      Close();
   }
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::OkBtnEnter(TObject *Sender)
{
   if (!SaveBtn->HasMouse()) SaveBtn->Perform(CM_MOUSEENTER,0,NULL);
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::OkBtnExit(TObject *Sender)
{
   if (SaveBtn->HasMouse()) SaveBtn->Perform(CM_MOUSELEAVE,0,NULL);
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::SaveBtnEnter(TObject *Sender)
{
   if (!OkBtn->HasMouse()) OkBtn->Perform(CM_MOUSEENTER,0,NULL);
}
//---------------------------------------------------------------------------
void __fastcall TNoteWin::SaveBtnExit(TObject *Sender)
{
   if (OkBtn->HasMouse()) OkBtn->Perform(CM_MOUSELEAVE,0,NULL);
}
//---------------------------------------------------------------------------
