#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PopMainWin.h"
#include "PopAccDlg.h"
#include "PopRetDlg.h"
#include "global.h"
#include "fileman.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMain *Main;
//---------------------------------------------------------------------------
void __fastcall GetPop3Mail(TForm *MainForm, HWND AppHandle, bool UseDialog)
{
   Application->Handle = AppHandle;
   if (!UseDialog)
   {
      TStringList *accts = new TStringList();
      accts->SetText((char*)MainForm->Perform(WM_POPACCOUNTS,GetAccts,NULL));
      // use just the PopRetrDlg--remove unchecked from accts
      int i=0; while (i<accts->Count)
      {
         if (accts->Strings[i].LowerCase().Pos("checked=1")==0)
             accts->Delete(i); else i++;
      }
      if (accts->Count)
      {
         PopRetrieveMail(accts,MainForm,MainForm);
         delete accts;
         return;
      }
      delete accts;
      // no active accounts, fall through
   }
   // if get here,
   PopAcctDlg = new TPopAcctDlg(MainForm);
   CenterDialog(PopAcctDlg,MainForm);
   PopAcctDlg->accts->SetText((char*)MainForm->Perform(WM_DATREQUEST,GetAccts,(LPARAM)PopAccounts.c_str()));
   PopAcctDlg->SyncAccts();
   PopAcctDlg->ShowModal();
   if (PopAcctDlg->ModalResult!=mrCancel)
   {
      // send revised account list back to main app
      PopAcctDlg->accts->Insert(0,PopAccounts);
      MainForm->Perform(WM_DATREQUEST,PutAccts,(LPARAM)PopAcctDlg->accts->Text.c_str());
   }
   delete PopAcctDlg;
}
//---------------------------------------------------------------------------
__fastcall TMain::TMain(TComponent* Owner)
  : TForm(Owner)
{
   Application->ShowMainForm = false;
   Timer1->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TMain::Timer1Timer(TObject *Sender)
{
   Timer1->Enabled = false;
   GetPop3Mail(this,Application->Handle,true);
   Close();
}
//---------------------------------------------------------------------------
void __fastcall TMain::WMDatRequest(TMessage& Msg)
{
   static AnsiString datstr; // for returning data in getdatdata
   TStringList *data = new TStringList();
   data->SetText((char*)Msg.LParam);
   if (data->Count)
   {
      AnsiString path = data->Strings[0]; data->Delete(0);
      switch (Msg.WParam)
      {
         case GetAccts:
            GetAppData(data,path,"qs.dbc"); datstr = data->Text;
            Msg.Result = (long)datstr.c_str();
            break;
         case PutAccts:
            PutAppData(path,data,"qs.dbc");
            break;
      }
   }
   if (Msg.WParam!=GetAccts) datstr = "";
   delete data;
}
//---------------------------------------------------------------------------



