//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <vcl\clipbrd.hpp>
#include <vcl\classes.hpp>
#pragma hdrstop

#include "RemHlpDlg.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TRemHelpDlg *RemHelpDlg;
//---------------------------------------------------------------------------
void __fastcall RemailerDialogHelp(TForm *Owner)
{
   RemHelpDlg = new TRemHelpDlg(Owner);
   CenterDialog(RemHelpDlg,Owner);
   RemHelpDlg->Top += 8;
   RemHelpDlg->ShowModal();
   delete RemHelpDlg;
}
//---------------------------------------------------------------------------
void __fastcall TRemHelpDlg::LoadHelpPage(AnsiString &name)
{
   TStringList *txt = new TStringList();
   GetAppData(txt,"Remailer"+PS+name+".rtf",QShelp);
   TMemoryStream *ms = new TMemoryStream();
   ms->Write(txt->Text.c_str(),txt->Text.Length());
   ms->Seek(0,soFromBeginning);
   RemHelpDlg->HelpText->Lines->LoadFromStream(ms);
   delete ms;
}
//---------------------------------------------------------------------------
__fastcall TRemHelpDlg::TRemHelpDlg(TComponent* Owner)
  : TForm(Owner)
{
   Tabs = TabControl1->Tabs;
}
//---------------------------------------------------------------------------
void __fastcall TRemHelpDlg::FormPaint(TObject *Sender)
{
   TRect Rct = Rect(4,4,HelpText->ClientWidth-8,HelpText->ClientHeight-2);
   SendMessage(HelpText->Handle,EM_SETRECT,0,long(&Rct));
}
//---------------------------------------------------------------------------
void __fastcall TRemHelpDlg::FormShow(TObject *Sender)
{
   GetAppData(Tabs,"Remailer",QShelp);
   for (int i=0; i<Tabs->Count; i++)
      Tabs->Strings[i] = ChangeFileExt(Tabs->Strings[i],"");
   if (Tabs->Count)
      LoadHelpPage(Tabs->Strings[0]);
}
//---------------------------------------------------------------------------
void __fastcall TRemHelpDlg::TabControl1Change(TObject *Sender)
{
   LoadHelpPage(Tabs->Strings[TabControl1->TabIndex]);
}
//---------------------------------------------------------------------------
